Package com.massivecraft.factions.util

## Class WarmUpUtil

- java.lang.Object
- - com.massivecraft.factions.util.WarmUpUtil

    public class WarmUpUtil
    extends java.lang.Object

### Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `WarmUpUtil.Warmup` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`WarmUpUtil()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static void` | `process​(FPlayer player, WarmUpUtil.Warmup warmup, TL translationKey, java.lang.String action, java.lang.Runnable runnable, long delay)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WarmUpUtil

    public WarmUpUtil()

### Method Detail

#### process

    public static void process​(FPlayer player,
                               WarmUpUtil.Warmup warmup,
                               TL translationKey,
                               java.lang.String action,
                               java.lang.Runnable runnable,
                               long delay)

Parameters:
  `player` - The player to notify.
  `translationKey` - The translation key used for notifying.
  `action` - The action, inserted into the notification message.
  `runnable` - The task to run after the delay. If the delay is 0, the task is instantly ran.
  `delay` - The time used, in seconds, for the delay.

  note: for translations: %s = action, %d = delay